Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network34.2.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
Network address
34.2.0.0
Broadcast address
34.2.255.255
First usable
34.2.0.1
Last usable
34.2.255.254
Usable hosts
65,534 (65,536 less the network and broadcast addresses)
Subnet mask
255.255.0.0
Wildcard mask
0.0.255.255 (Cisco ACLs, OSPF)
Prefix length
/16
Type
Public public
Old class
A (default /8)
As numbers
Hex 22020000 · Integer 570556416 to 570621951
Reverse DNS zone
2.34.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00100010.00000010..00000000.0000000034.2.0.0
Subnet mask11111111.11111111..00000000.00000000255.255.0.0
Network00100010.00000010..00000000.0000000034.2.0.0
Broadcast00100010.00000010..11111111.1111111134.2.255.255
Split into smaller subnets/23

34.2.0.0/16 makes 128 subnets of /23.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
134.2.0.0/2334.2.0.1 to 34.2.1.25434.2.1.255510
234.2.2.0/2334.2.2.1 to 34.2.3.25434.2.3.255510
334.2.4.0/2334.2.4.1 to 34.2.5.25434.2.5.255510
434.2.6.0/2334.2.6.1 to 34.2.7.25434.2.7.255510
534.2.8.0/2334.2.8.1 to 34.2.9.25434.2.9.255510
634.2.10.0/2334.2.10.1 to 34.2.11.25434.2.11.255510
734.2.12.0/2334.2.12.1 to 34.2.13.25434.2.13.255510
834.2.14.0/2334.2.14.1 to 34.2.15.25434.2.15.255510
934.2.16.0/2334.2.16.1 to 34.2.17.25434.2.17.255510
1034.2.18.0/2334.2.18.1 to 34.2.19.25434.2.19.255510
1134.2.20.0/2334.2.20.1 to 34.2.21.25434.2.21.255510
1234.2.22.0/2334.2.22.1 to 34.2.23.25434.2.23.255510
1334.2.24.0/2334.2.24.1 to 34.2.25.25434.2.25.255510
1434.2.26.0/2334.2.26.1 to 34.2.27.25434.2.27.255510
1534.2.28.0/2334.2.28.1 to 34.2.29.25434.2.29.255510
1634.2.30.0/2334.2.30.1 to 34.2.31.25434.2.31.255510
1734.2.32.0/2334.2.32.1 to 34.2.33.25434.2.33.255510
1834.2.34.0/2334.2.34.1 to 34.2.35.25434.2.35.255510
1934.2.36.0/2334.2.36.1 to 34.2.37.25434.2.37.255510
2034.2.38.0/2334.2.38.1 to 34.2.39.25434.2.39.255510
2134.2.40.0/2334.2.40.1 to 34.2.41.25434.2.41.255510
2234.2.42.0/2334.2.42.1 to 34.2.43.25434.2.43.255510
2334.2.44.0/2334.2.44.1 to 34.2.45.25434.2.45.255510
2434.2.46.0/2334.2.46.1 to 34.2.47.25434.2.47.255510
2534.2.48.0/2334.2.48.1 to 34.2.49.25434.2.49.255510
2634.2.50.0/2334.2.50.1 to 34.2.51.25434.2.51.255510
2734.2.52.0/2334.2.52.1 to 34.2.53.25434.2.53.255510
2834.2.54.0/2334.2.54.1 to 34.2.55.25434.2.55.255510
2934.2.56.0/2334.2.56.1 to 34.2.57.25434.2.57.255510
3034.2.58.0/2334.2.58.1 to 34.2.59.25434.2.59.255510
3134.2.60.0/2334.2.60.1 to 34.2.61.25434.2.61.255510
3234.2.62.0/2334.2.62.1 to 34.2.63.25434.2.63.255510
3334.2.64.0/2334.2.64.1 to 34.2.65.25434.2.65.255510
3434.2.66.0/2334.2.66.1 to 34.2.67.25434.2.67.255510
3534.2.68.0/2334.2.68.1 to 34.2.69.25434.2.69.255510
3634.2.70.0/2334.2.70.1 to 34.2.71.25434.2.71.255510
3734.2.72.0/2334.2.72.1 to 34.2.73.25434.2.73.255510
3834.2.74.0/2334.2.74.1 to 34.2.75.25434.2.75.255510
3934.2.76.0/2334.2.76.1 to 34.2.77.25434.2.77.255510
4034.2.78.0/2334.2.78.1 to 34.2.79.25434.2.79.255510
4134.2.80.0/2334.2.80.1 to 34.2.81.25434.2.81.255510
4234.2.82.0/2334.2.82.1 to 34.2.83.25434.2.83.255510
4334.2.84.0/2334.2.84.1 to 34.2.85.25434.2.85.255510
4434.2.86.0/2334.2.86.1 to 34.2.87.25434.2.87.255510
4534.2.88.0/2334.2.88.1 to 34.2.89.25434.2.89.255510
4634.2.90.0/2334.2.90.1 to 34.2.91.25434.2.91.255510
4734.2.92.0/2334.2.92.1 to 34.2.93.25434.2.93.255510
4834.2.94.0/2334.2.94.1 to 34.2.95.25434.2.95.255510
4934.2.96.0/2334.2.96.1 to 34.2.97.25434.2.97.255510
5034.2.98.0/2334.2.98.1 to 34.2.99.25434.2.99.255510
5134.2.100.0/2334.2.100.1 to 34.2.101.25434.2.101.255510
5234.2.102.0/2334.2.102.1 to 34.2.103.25434.2.103.255510
5334.2.104.0/2334.2.104.1 to 34.2.105.25434.2.105.255510
5434.2.106.0/2334.2.106.1 to 34.2.107.25434.2.107.255510
5534.2.108.0/2334.2.108.1 to 34.2.109.25434.2.109.255510
5634.2.110.0/2334.2.110.1 to 34.2.111.25434.2.111.255510
5734.2.112.0/2334.2.112.1 to 34.2.113.25434.2.113.255510
5834.2.114.0/2334.2.114.1 to 34.2.115.25434.2.115.255510
5934.2.116.0/2334.2.116.1 to 34.2.117.25434.2.117.255510
6034.2.118.0/2334.2.118.1 to 34.2.119.25434.2.119.255510
6134.2.120.0/2334.2.120.1 to 34.2.121.25434.2.121.255510
6234.2.122.0/2334.2.122.1 to 34.2.123.25434.2.123.255510
6334.2.124.0/2334.2.124.1 to 34.2.125.25434.2.125.255510
6434.2.126.0/2334.2.126.1 to 34.2.127.25434.2.127.255510
6534.2.128.0/2334.2.128.1 to 34.2.129.25434.2.129.255510
6634.2.130.0/2334.2.130.1 to 34.2.131.25434.2.131.255510
6734.2.132.0/2334.2.132.1 to 34.2.133.25434.2.133.255510
6834.2.134.0/2334.2.134.1 to 34.2.135.25434.2.135.255510
6934.2.136.0/2334.2.136.1 to 34.2.137.25434.2.137.255510
7034.2.138.0/2334.2.138.1 to 34.2.139.25434.2.139.255510
7134.2.140.0/2334.2.140.1 to 34.2.141.25434.2.141.255510
7234.2.142.0/2334.2.142.1 to 34.2.143.25434.2.143.255510
7334.2.144.0/2334.2.144.1 to 34.2.145.25434.2.145.255510
7434.2.146.0/2334.2.146.1 to 34.2.147.25434.2.147.255510
7534.2.148.0/2334.2.148.1 to 34.2.149.25434.2.149.255510
7634.2.150.0/2334.2.150.1 to 34.2.151.25434.2.151.255510
7734.2.152.0/2334.2.152.1 to 34.2.153.25434.2.153.255510
7834.2.154.0/2334.2.154.1 to 34.2.155.25434.2.155.255510
7934.2.156.0/2334.2.156.1 to 34.2.157.25434.2.157.255510
8034.2.158.0/2334.2.158.1 to 34.2.159.25434.2.159.255510
8134.2.160.0/2334.2.160.1 to 34.2.161.25434.2.161.255510
8234.2.162.0/2334.2.162.1 to 34.2.163.25434.2.163.255510
8334.2.164.0/2334.2.164.1 to 34.2.165.25434.2.165.255510
8434.2.166.0/2334.2.166.1 to 34.2.167.25434.2.167.255510
8534.2.168.0/2334.2.168.1 to 34.2.169.25434.2.169.255510
8634.2.170.0/2334.2.170.1 to 34.2.171.25434.2.171.255510
8734.2.172.0/2334.2.172.1 to 34.2.173.25434.2.173.255510
8834.2.174.0/2334.2.174.1 to 34.2.175.25434.2.175.255510
8934.2.176.0/2334.2.176.1 to 34.2.177.25434.2.177.255510
9034.2.178.0/2334.2.178.1 to 34.2.179.25434.2.179.255510
9134.2.180.0/2334.2.180.1 to 34.2.181.25434.2.181.255510
9234.2.182.0/2334.2.182.1 to 34.2.183.25434.2.183.255510
9334.2.184.0/2334.2.184.1 to 34.2.185.25434.2.185.255510
9434.2.186.0/2334.2.186.1 to 34.2.187.25434.2.187.255510
9534.2.188.0/2334.2.188.1 to 34.2.189.25434.2.189.255510
9634.2.190.0/2334.2.190.1 to 34.2.191.25434.2.191.255510
9734.2.192.0/2334.2.192.1 to 34.2.193.25434.2.193.255510
9834.2.194.0/2334.2.194.1 to 34.2.195.25434.2.195.255510
9934.2.196.0/2334.2.196.1 to 34.2.197.25434.2.197.255510
10034.2.198.0/2334.2.198.1 to 34.2.199.25434.2.199.255510
10134.2.200.0/2334.2.200.1 to 34.2.201.25434.2.201.255510
10234.2.202.0/2334.2.202.1 to 34.2.203.25434.2.203.255510
10334.2.204.0/2334.2.204.1 to 34.2.205.25434.2.205.255510
10434.2.206.0/2334.2.206.1 to 34.2.207.25434.2.207.255510
10534.2.208.0/2334.2.208.1 to 34.2.209.25434.2.209.255510
10634.2.210.0/2334.2.210.1 to 34.2.211.25434.2.211.255510
10734.2.212.0/2334.2.212.1 to 34.2.213.25434.2.213.255510
10834.2.214.0/2334.2.214.1 to 34.2.215.25434.2.215.255510
10934.2.216.0/2334.2.216.1 to 34.2.217.25434.2.217.255510
11034.2.218.0/2334.2.218.1 to 34.2.219.25434.2.219.255510
11134.2.220.0/2334.2.220.1 to 34.2.221.25434.2.221.255510
11234.2.222.0/2334.2.222.1 to 34.2.223.25434.2.223.255510
11334.2.224.0/2334.2.224.1 to 34.2.225.25434.2.225.255510
11434.2.226.0/2334.2.226.1 to 34.2.227.25434.2.227.255510
11534.2.228.0/2334.2.228.1 to 34.2.229.25434.2.229.255510
11634.2.230.0/2334.2.230.1 to 34.2.231.25434.2.231.255510
11734.2.232.0/2334.2.232.1 to 34.2.233.25434.2.233.255510
11834.2.234.0/2334.2.234.1 to 34.2.235.25434.2.235.255510
11934.2.236.0/2334.2.236.1 to 34.2.237.25434.2.237.255510
12034.2.238.0/2334.2.238.1 to 34.2.239.25434.2.239.255510
12134.2.240.0/2334.2.240.1 to 34.2.241.25434.2.241.255510
12234.2.242.0/2334.2.242.1 to 34.2.243.25434.2.243.255510
12334.2.244.0/2334.2.244.1 to 34.2.245.25434.2.245.255510
12434.2.246.0/2334.2.246.1 to 34.2.247.25434.2.247.255510
12534.2.248.0/2334.2.248.1 to 34.2.249.25434.2.249.255510
12634.2.250.0/2334.2.250.1 to 34.2.251.25434.2.251.255510
12734.2.252.0/2334.2.252.1 to 34.2.253.25434.2.253.255510
12834.2.254.0/2334.2.254.1 to 34.2.255.25434.2.255.255510

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses